<?php
namespace Teknisa\EST\Modules\Ajuste\Services;

use Teknisa\EST\Services\ValidacoesEstoqueService;
use \Estoque\Entities\Lanctoestoq;
use \Estoque\Entities\Itlanctoest;

class ItlanctoestProdutoService{

	protected $dataSourceName = "lanctoestoq_ajuste";
	
    protected $validacoesEstoqueService;
    protected $environment;

    public function __construct (ValidacoesEstoqueService $validacoesEstoqueService,$entityManager,$environment)
    {
        $this->validacoesEstoqueService = $validacoesEstoqueService;
        $this->entityManager = $entityManager;
        $this->environment = $environment;
    }
    
    public function deleteItem($cdfilial,$nrlancestq,$nrsequitem) {
        try {
            $connection = $this->entityManager->getConnection();
            $connection->beginTransaction();
            
            $nrorg = $this->environment->getNrOrgTrab();
            $item = Itlanctoest::findOneByCdfilialAndNrlancestqAndNrsequitemAndNrorg(
                $cdfilial, $nrlancestq,$nrsequitem, $nrorg 
            );
            
            
            $this->entityManager->remove($item);
            $this->entityManager->flush($item);
            if($item->getIdevolestoq() =='S'){
                $this->validacoesEstoqueService->atualizaEstoque($cdfilial,$nrlancestq,true,$nrsequitem);
            }
            $connection->commit();
		} catch (\Exception $e) {
		    $connection->rollback();
			throw $e;
		}
	}

}