var Est93000_DigitacaoInventarioCego_Services = function(General, restEngine, Lib00206_InfComplProduto_Controller, ZHPromise, EstUtil, Est93000_DigitacaoInventarioCego_Repository) {

    this.getComplementaryProductInformation = function(widget) {
        const promise = ZHPromise.defer();
        if (widget.currentRow.CDARVPROD) {
            widget.promise = promise;
            Lib00206_InfComplProduto_Controller.infComplementares(widget, widget.currentRow);
        }
        else {
            promise.reject();
        }
        return promise;
    };

    this.getDtProcessa = function() {
        let filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
        ];
        return restEngine.post("est#/crud/paramfilial", {
            "requestType": "FilterData",
            "filter": filter
        }).then((response) => {
            return response.dataset.paramfilial[0].DTPROCESSA;
        });
    };

    this.getDate = function(dateString) {
        let string = dateString.replaceAll('/', '').replaceAll(' ', '').replaceAll(':', '');
        return new Date(moment(string, "DDMMYYYYHHmmss").format('MM/DD/YYYY HH:mm:ss'));
    };

    this.save = function(row) {
        return Est93000_DigitacaoInventarioCego_Repository.save(row);
    };
    this.onConcludeDigitation = function(row) {
        return Est93000_DigitacaoInventarioCego_Repository.onConcludeDigitation(row);
    };

};
Configuration(function(ContextRegister) {
    ContextRegister.register('Est93000_DigitacaoInventarioCego_Services', Est93000_DigitacaoInventarioCego_Services);
});
